<?xml version="1.0" encoding="UTF-8"?>
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="Insurance-industry-value-formats">
    <rule context="//cac:AdditionalItemProperty[ends-with(cbc:Name, 'ANTAL')]" flag="fatal">
        <assert test="matches(cbc:Value,'^[\d]+$')" flag="fatal">[SVLIV-R106] Förmånsdetalj som är antal måste anges som numeriskt heltal.</assert>
    </rule>
    <rule context="//cac:AdditionalItemProperty[ends-with(cbc:Name, 'PNR') or ends-with(cbc:Name, 'ORG')]" flag="fatal">
        <assert test="matches(cbc:Value,'^(\d{6}|\d{8})-\d{4}$')" flag="fatal">[SVLIV-R106] Förmånsdetalj som är personnummer eller organisationsnummer ska anges på formen YYYYmmdd-nnnn eller YYmmdd-nnnn.</assert>
    </rule>
    <rule context="//cac:AdditionalItemProperty[ends-with(cbc:Name, 'varde')]" flag="fatal">
        <assert test="matches(cbc:Value,'^[\d]+.\d{2}$')" flag="fatal">[SVLIV-R106] Förmånsdetalj som är belopp ska anges numeriskt med två decimaler.</assert>
    </rule>
</pattern>
