<!-- Abstract rules for T10 and T14 -->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" abstract="true" id="T10-T14">
    <rule context="$Fakturarad">
        <assert test="$SVLIV-R001" flag="fatal">[SVLIV-R001]-Radtyp ska alltid anges på en fakturarad.</assert>
    </rule>
    <rule context="$Formanskostnad">
        <assert test="$SVLIV-R002" flag="fatal">[SVLIV-R002]-Om radtyp är premie, utbetalning eller utfallande premiebefrielse ska skatteklass anges.</assert>
        <assert test="$SVLIV-R003" flag="fatal">[SVLIV-R003]-Om radtyp är premie, utbetalning eller utfallande premiebefrielse ska pensionslager anges.</assert>
        <assert test="$SVLIV-R004" flag="fatal">[SVLIV-R004]-Om radtyp är premie, utbetalning eller utfallande premiebefrielse ska förmånstyp anges.</assert>
        <assert test="$SVLIV-R005" flag="fatal">[SVLIV-R005]-Om radtyp är premie ska premietyp anges.</assert>  
		<assert test="$SVLIV-R006" flag="fatal">[SVLIV-R006]-Om radtyp är premie, utbetalning eller utfallande premiebefrielse ska minst en av anställningsid, personnummer, antal försäkrade eller organisationsnummer anges.</assert>		
    </rule>
</pattern>