<?xml version="1.0" encoding="ISO-8859-1"?><pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="Insurance_industry_code_lists">
<!--
  This implementation supports genericode code lists with no instance
  meta data.
-->
<!--
    Start of synthesis of rules from code list context associations.
Version 0.4
-->

<rule context="//cac:AdditionalItemProperty[cbc:Name[not(starts-with(.,'EXT-'))]]//cbc:Name" flag="fatal">
  <assert test="( ( not(contains(normalize-space(.),' ')) and contains( ' Forsakrad-PNR Forsakrad-ANSTID Forsakrad-EFTERNAMN Forsakrad-FORNAMN Forsakrad-ORG Forsakrad-ANTAL Huvudforsakrad-PNR Huvudforsakrad-ANSTID Formansvarde Avtal ',concat(' ',normalize-space(.),' ') ) ) )" flag="fatal">[SVLIV-R106] Frmnsdetaljer fr en artikel ska vara kodade enligt kodlistan SVLIV Frmnsdetaljer fr element cac:AdditionalItemProperty/cbc:Name, [SVLIV-R107] D item attributes anvnds fr andra ndaml n Frmnsdetaljer ska vrdet i Name-elementet ha prefixet &#8220;EXT-&#8221; fr element cac:AdditionalItemProperty/cbc:Name</assert>
</rule>

<rule context="//cac:CommodityClassification[cbc:ItemClassificationCode/@listID='SVLIV:Radtyp']//cbc:ItemClassificationCode" flag="fatal">
  <assert test="( ( not(contains(normalize-space(.),' ')) and contains( ' Premie UtfallandePBF Utbetalning Overskott Ovrigt ',concat(' ',normalize-space(.),' ') ) ) )" flag="fatal">[SVLIV-R101] Radtyp fr en artikel ska vara kodad med kodlistan SVLIV Radtyp fr element cbc:ItemClassificationCode</assert>
</rule>

<rule context="//cac:CommodityClassification[cbc:ItemClassificationCode/@listID='SVLIV:Formanstyp']//cbc:ItemClassificationCode" flag="fatal">
  <assert test="( ( not(contains(normalize-space(.),' ')) and contains( ' Alderspension KollektivAlderspension TPK 10T Direktpension Chefspension LonevaxlingAP Bonusvaxling Familjepension Sjuk PBF TGL TFA Sjukvard Olycksfall Fortidskapital Dodsfallskapital Omstallning Diagnoskapital Rehab OlyckaBarn SjukvardBarn Krisstod Invaliditet ForebyggandeHalsa Avgangspension Livsarbetstid LonevaxlingEP LonevaxlingSjuk ',concat(' ',normalize-space(.),' ') ) ) )" flag="fatal">[SVLIV-R102] Frmnstyp fr en artikel ska vara kodad enligt kodlistan SVLIV Frmnstyp fr element cbc:ItemClassificationCode</assert>
</rule>

<rule context="//cac:CommodityClassification[cbc:ItemClassificationCode/@listID='SVLIV:Pensionslager']//cbc:ItemClassificationCode" flag="fatal">
  <assert test="( ( not(contains(normalize-space(.),' ')) and contains( ' Allman Tjanste Privat ',concat(' ',normalize-space(.),' ') ) ) )" flag="fatal">[SVLIV-R104] Pensionslager fr en artikel ska vara kodad enligt kodlistan SVLIV Pensionslager fr element cbc:ItemClassificationCode</assert>
</rule>

<rule context="//cac:CommodityClassification[cbc:ItemClassificationCode/@listID='SVLIV:Skatteklass']//cbc:ItemClassificationCode" flag="fatal">
  <assert test="( ( not(contains(normalize-space(.),' ')) and contains( ' P K Ingen ',concat(' ',normalize-space(.),' ') ) ) )" flag="fatal">[SVLIV-R103] Skatteklass fr en artikel ska vara kodad enligt kodlistan SVLIV Skatteklass fr element cbc:ItemClassificationCode</assert>
</rule>

<rule context="//cac:CommodityClassification[cbc:ItemClassificationCode/@listID='SVLIV:Premietyp']//cbc:ItemClassificationCode" flag="fatal">
  <assert test="( ( not(contains(normalize-space(.),' ')) and contains( ' Lopande Engangs Extra ',concat(' ',normalize-space(.),' ') ) ) )" flag="fatal">[SVLIV-R105] Premietyp fr en artikel ska vara kodad enligt kodlistan SVLIV Premietyp fr element cbc:ItemClassificationCode</assert>
</rule>
<!--
    End of synthesis of rules from code list context associations.
-->
</pattern>